classification
Title: 2to3 fixer for the removal of operator functions
Type: Stage: resolved
Components: 2to3 (2.x to 3.x conversion tool) Versions:
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: Nosy List: BreamoreBoy, alexandre.vassalotti, benjamin.peterson, meador.inge
Priority: normal Keywords: patch

Created on 2009-01-27 06:13 by alexandre.vassalotti, last changed 2010-08-05 07:14 by alexandre.vassalotti. This issue is now closed.

Files
File name Uploaded Description Edit
fix_operator.py alexandre.vassalotti, 2009-01-27 06:19
issue-5077.patch meador.inge, 2010-01-31 14:24
issue-5077-2to3.patch meador.inge, 2010-08-01 21:34 patch for 2to3 trunk
Messages (8)
msg80624 - (view) Author: Alexandre Vassalotti (alexandre.vassalotti) * (Python committer) Date: 2009-01-27 06:13
This is a 2to3 fixer for the removal of obsolete functions in r68962.
msg80676 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2009-01-27 22:42
Review:

The mappings should become static to the class or module.

The repeat2mul case doesn't handle prefixes.
msg98614 - (view) Author: Meador Inge (meador.inge) * (Python committer) Date: 2010-01-31 14:24
Attached an updated patch with:
  (1) The two review issues fixed.
  (2) Merged the functionality of the initial patch into the existing
      fixer in 'Lib/lib2to3/fixes/fix_operator.py' + a little 
      refactoring.
  (3) Added matching test cases.
  (4) Updated the documentation.
msg111830 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2010-07-28 16:26
I see too many changes with tortoisesvn to make sense of this.  Could someone with more experience please take a look, thanks.
msg111893 - (view) Author: Alexandre Vassalotti (alexandre.vassalotti) * (Python committer) Date: 2010-07-29 05:53
The patch look great. Can you update your patch to make it work against the version of 2to3 in the sandbox (http://svn.python.org/sandbox/trunk/2to3)?
msg112388 - (view) Author: Meador Inge (meador.inge) * (Python committer) Date: 2010-08-01 21:34
Sure.  I take it you meant http://svn.python.org/projects/sandbox/trunk/2to3, though.  Is this the location that all patches for 2to3 should be produced against?

I dropped the documentation changes b/c I did not see any docs in the 2to3 trunk.  Should the doc updates be applied somewhere else?
msg112948 - (view) Author: Alexandre Vassalotti (alexandre.vassalotti) * (Python committer) Date: 2010-08-05 07:00
Patch committed in r83740. I will make the documentation update in a separate commit.

Thanks!
msg112950 - (view) Author: Alexandre Vassalotti (alexandre.vassalotti) * (Python committer) Date: 2010-08-05 07:14
Documentation added in r83741.
History
Date User Action Args
2010-08-05 07:14:14alexandre.vassalottisetmessages: + msg112950
2010-08-05 07:00:26alexandre.vassalottisetstatus: open -> closed
versions: - Python 2.6, Python 3.0, Python 3.1, Python 2.7
messages: + msg112948

resolution: accepted
stage: patch review -> resolved
2010-08-01 21:34:44meador.ingesetfiles: + issue-5077-2to3.patch

messages: + msg112388
2010-07-29 05:53:21alexandre.vassalottisetmessages: + msg111893
2010-07-28 16:26:49BreamoreBoysetnosy: + BreamoreBoy
messages: + msg111830
2010-01-31 14:24:09meador.ingesetfiles: + issue-5077.patch

nosy: + meador.inge
messages: + msg98614

keywords: + patch
2009-01-27 22:42:52benjamin.petersonsetnosy: + benjamin.peterson
messages: + msg80676
versions: + Python 2.6, Python 2.7
2009-01-27 06:23:22alexandre.vassalottisettitle: 2to3 fixers for the removal of operator functions -> 2to3 fixer for the removal of operator functions
2009-01-27 06:20:05alexandre.vassalottisetfiles: - fix_operator.py
2009-01-27 06:19:54alexandre.vassalottisetfiles: + fix_operator.py
2009-01-27 06:13:37alexandre.vassalotticreate